# samples/common/classes/NvV4l2ElementPlane.cpp File Reference

`#include "NvV4l2ElementPlane.h"`
`#include "NvLogging.h"`
`#include <cstring>`
`#include <errno.h>`
`#include <libv4l2.h>`
`#include <sys/mman.h>`
`#include <sys/prctl.h>`

Go to the source code of this file.

## Defines

#define | CHECK_V4L2_RETURN(ret, str)

## Define Documentation

#define CHECK_V4L2_RETURN | ( | ret,
|  | str |  | ) |

Value:

    if (ret < 0) {                               \
            PLANE_SYS_ERROR_MSG(str << ": failed");   \
            return -1;                               \
        } else {                                     \
            PLANE_DEBUG_MSG(str << ": success");      \
            return 0;                                \
        }

Definition at line 38 of file NvV4l2ElementPlane.cpp.